﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PRIMERULE') 
 CREATE TABLE T_PSD_PRIMERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPREDATA CHAR(1) DEFAULT '0' NOT NULL,
FFACEALLORG CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PRIMERULE_L') 
 CREATE TABLE T_PSD_PRIMERULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PRIMERULE_ORG_ENTRY') 
 CREATE TABLE T_PSD_PRIMERULE_ORG_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PRIMERULE_P_ENTRY') 
 CREATE TABLE T_PSD_PRIMERULE_P_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FDIMENSION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEFFECTELEMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSETTING NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FSETTINGSAVE_TAG NCLOB,
FSETTINGSAVE NCLOB,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SUMSCHERULE') 
 CREATE TABLE T_PSD_SUMSCHERULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FEFFECTTIME DATETIME,
FDIMENSION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SUMSCHERULE_ENTRY') 
 CREATE TABLE T_PSD_SUMSCHERULE_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCONDITIONVAL NVARCHAR(100) DEFAULT ' ' NOT NULL,
FITEMNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEDIMENSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDRAFTRATIO BIGINT DEFAULT 0 NOT NULL,
FPAYRATIO BIGINT DEFAULT 0 NOT NULL,
FPRIMERULEID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SUMSCHERULE_L') 
 CREATE TABLE T_PSD_SUMSCHERULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_ROWMONYRULE_E' AND KSQL_COL_NAME ='FSCHEDRAFTRADIO') 
 ALTER TABLE T_PSD_ROWMONYRULE_E ADD (FSCHEDRAFTRADIO DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_ROWMONYRULE_E' AND KSQL_COL_NAME ='FSCHERADIO') 
 ALTER TABLE T_PSD_ROWMONYRULE_E ADD (FSCHERADIO DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDEALBILL_ENTRY' AND KSQL_COL_NAME ='FTOTALDRAFTAMT') 
 ALTER TABLE T_PSD_SCHEDEALBILL_ENTRY ADD (FTOTALDRAFTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDEALBILL_ENTRY' AND KSQL_COL_NAME ='FDIMVAL') 
 ALTER TABLE T_PSD_SCHEDEALBILL_ENTRY ADD (FDIMVAL NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDEALBILL' AND KSQL_COL_NAME ='FSUMDIM') 
 ALTER TABLE T_PSD_SCHEDEALBILL ADD (FSUMDIM NVARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
