﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_DATACONFIG') 
 CREATE TABLE T_PSD_DATACONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSCHECALCPROPNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FSCHEBILLPROPNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMBINEUNIQUE CHAR(1) DEFAULT '0' NOT NULL,
FEDITABLE CHAR(1) DEFAULT '0' NOT NULL,
FSCHECALCPROP VARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEBILLPROP VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' '
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FNUMBER') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FSTATUS') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FCREATORID') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FCREATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FMODIFIERID') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FMODIFIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FENABLE') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FMODIFYTIME') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FMODIFYTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FMASTERID') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FMASTERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FDISABLERID') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FDISABLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FENABLERID') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FENABLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FENABLEDATE') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FENABLEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FDISABLEDATE') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FDISABLEDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FCOMBINEFIELDS') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FCOMBINEFIELDS VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FCOMBINEFIELDS_TAG') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FCOMBINEFIELDS_TAG NCLOB DEFAULT ' ' );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FNAME') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FNAME VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_COMBINERULE' AND KSQL_COL_NAME ='FCOMMENT') 
 ALTER TABLE T_PSD_COMBINERULE ADD (FCOMMENT VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_COMBINERULE_L') 
 CREATE TABLE T_PSD_COMBINERULE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMMENT VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_DATACONFIG_L') 
 CREATE TABLE T_PSD_DATACONFIG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDULEBILL_E' AND KSQL_COL_NAME ='FFREEZESTATUS') 
 ALTER TABLE T_PSD_SCHEDULEBILL_E ADD (FFREEZESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
