﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_PSD_ROWMONYRULE_E', 'T_PSD_ROWMONYRULE_E', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_AUTOSCHEDULE_ENTRY_FID') CREATE INDEX IDX_PSD_AUTOSCHEDULE_ENTRY_FID ON T_PSD_ROWMONYRULE_E ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_AUTOSCHEDULE_RULE', 'T_PSD_AUTOSCHEDULE_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_AUTOSCHEDULE_FNUMBER') CREATE INDEX IDX_PSD_AUTOSCHEDULE_FNUMBER ON T_PSD_AUTOSCHEDULE_RULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_AUTOSCHEDULE_RULE_L', 'T_PSD_AUTOSCHEDULE_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_AUTOSCHEDULE_L') CREATE INDEX IDX_PSD_AUTOSCHEDULE_L ON T_PSD_AUTOSCHEDULE_RULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PSD_PAYMENT_RULE', 'T_PSD_PAYMENT_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_CDM_PB_FNUMBER') CREATE INDEX IDX_CDM_PB_FNUMBER ON T_PSD_PAYMENT_RULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_PAYMENT_RULE_L', 'T_PSD_PAYMENT_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PK_PSD_PAYMENT_L') CREATE INDEX PK_PSD_PAYMENT_L ON T_PSD_PAYMENT_RULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PSD_PERIOD', 'T_PSD_PERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_PSD_PERIOD') CREATE INDEX IDX_T_PSD_PERIOD ON T_PSD_PERIOD ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_PERIOD_L', 'T_PSD_PERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IDX_PSD_PERIOD_L') CREATE INDEX IDX_IDX_PSD_PERIOD_L ON T_PSD_PERIOD_L ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_QUEUETICKET_RULE', 'T_PSD_QUEUETICKET_RULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PK_PSD_QUEUETICKET_PERIOD') CREATE INDEX PK_PSD_QUEUETICKET_PERIOD ON T_PSD_QUEUETICKET_RULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_QUEUETICKET_RULE_L', 'T_PSD_QUEUETICKET_RULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PSD_QUEUETICKET_L') CREATE INDEX PSD_QUEUETICKET_L ON T_PSD_QUEUETICKET_RULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PSD_QUEUETICKET_RULE_ST', 'T_PSD_QUEUETICKET_RULE_ST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'PK_PSD_QUEUETICKET_ST_FID') CREATE INDEX PK_PSD_QUEUETICKET_ST_FID ON T_PSD_QUEUETICKET_RULE_ST ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHE_PERIOD', 'T_PSD_SCHE_PERIOD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHE_PERIOD_FNUMBER') CREATE INDEX IDX_PSD_SCHE_PERIOD_FNUMBER ON T_PSD_SCHE_PERIOD ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_SCHE_PERIOD_L', 'T_PSD_SCHE_PERIOD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHE_PERIOD_L') CREATE INDEX IDX_PSD_SCHE_PERIOD_L ON T_PSD_SCHE_PERIOD_L ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULE_TYPE', 'T_PSD_SCHEDULE_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULE_TYPE') CREATE INDEX IDX_PSD_SCHEDULE_TYPE ON T_PSD_SCHEDULE_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULE_TYPE_L', 'T_PSD_SCHEDULE_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULE_TYPE_L') CREATE INDEX IDX_PSD_SCHEDULE_TYPE_L ON T_PSD_SCHEDULE_TYPE_L ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDEALBILL', 'T_PSD_SCHEDEALBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDEALBILL') CREATE INDEX IDX_PSD_SCHEDEALBILL ON T_PSD_SCHEDEALBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDEALBILL_ENTRY', 'T_PSD_SCHEDEALBILL_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDEALBILL_ENTRY') CREATE INDEX IDX_PSD_SCHEDEALBILL_ENTRY ON T_PSD_SCHEDEALBILL_ENTRY ( FCURRENCYID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDEALBILL_L', 'T_PSD_SCHEDEALBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDEALBILL_L') CREATE INDEX IDX_PSD_SCHEDEALBILL_L ON T_PSD_SCHEDEALBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_L', 'T_PSD_SCHEDULEBILL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_L') CREATE INDEX IDX_PSD_SCHEDULEBILL_L ON T_PSD_SCHEDULEBILL_L ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_LK', 'T_PSD_SCHEDULEBILL_LK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_LK') CREATE INDEX IDX_PSD_SCHEDULEBILL_LK ON T_PSD_SCHEDULEBILL_LK ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_TC', 'T_PSD_SCHEDULEBILL_TC', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_TC') CREATE INDEX IDX_PSD_SCHEDULEBILL_TC ON T_PSD_SCHEDULEBILL_TC ( FTBILLID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_WB', 'T_PSD_SCHEDULEBILL_WB', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_WB') CREATE INDEX IDX_PSD_SCHEDULEBILL_WB ON T_PSD_SCHEDULEBILL_WB ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHE_LIMITBANK', 'T_PSD_SCHE_LIMITBANK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHE_LIMITBANK') CREATE INDEX IDX_PSD_SCHE_LIMITBANK ON T_PSD_SCHE_LIMITBANK ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_DRAFT', 'T_PSD_SCHEDULEBILL_DRAFT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_DRAFT') CREATE INDEX IDX_PSD_SCHEDULEBILL_DRAFT ON T_PSD_SCHEDULEBILL_DRAFT ( FID );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL', 'T_PSD_SCHEDULEBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL') CREATE INDEX IDX_PSD_SCHEDULEBILL ON T_PSD_SCHEDULEBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_STATUS') CREATE INDEX IDX_PSD_SCHEDULEBILL_STATUS ON T_PSD_SCHEDULEBILL ( FSCHEDULSTATUS );


 EXEC P_ALTERPK 'PK_T_PSD_SCHEDULEBILL_E', 'T_PSD_SCHEDULEBILL_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PSD_SCHEDULEBILL_E') CREATE INDEX IDX_PSD_SCHEDULEBILL_E ON T_PSD_SCHEDULEBILL_E ( FDRAFTPAYNO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_constraint.sql **/
