﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_ROWMONYRULE_E') 
 CREATE TABLE T_PSD_ROWMONYRULE_E (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FRULENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDATAFILTER NCLOB,
FDATAFILTER_TAG NCLOB,
FDATAFILTERDESC NVARCHAR(1024) DEFAULT ' ' NOT NULL,
FSCHEDULEWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FROWFUNDRID BIGINT DEFAULT 0 NOT NULL,
FROWTICKETRID BIGINT DEFAULT 0 NOT NULL,
FDFLTFUNDFLOWID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_AUTOSCHEDULE_RULE') 
 CREATE TABLE T_PSD_AUTOSCHEDULE_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSCHECYCLEID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_AUTOSCHEDULE_RULE_L') 
 CREATE TABLE T_PSD_AUTOSCHEDULE_RULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PAYMENT_RULE') 
 CREATE TABLE T_PSD_PAYMENT_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSELECTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDFLTTYPEID BIGINT DEFAULT 0 NOT NULL,
FDFLTCHANNEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYACCT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDFLTACCTID BIGINT DEFAULT 0 NOT NULL,
FDFLTCASHACCTID BIGINT DEFAULT 0 NOT NULL,
FCOMENT NVARCHAR(255),
FDFLTPAYACCT NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PAYMENT_RULE_L') 
 CREATE TABLE T_PSD_PAYMENT_RULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PERIOD') 
 CREATE TABLE T_PSD_PERIOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FENABLEDATE DATETIME,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODYEAR INT DEFAULT 0 NOT NULL,
FCYCLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTOSCHETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCUSTOMDAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSKIPHOL CHAR(1) DEFAULT '0' NOT NULL,
FFIXEDDATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMERGETYPE CHAR(1) DEFAULT '0' NOT NULL,
FSCHETYPEID BIGINT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FPERIODNUM INT DEFAULT 0 NOT NULL,
FDIFFDAYS INT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_PERIOD_L') 
 CREATE TABLE T_PSD_PERIOD_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_QUEUETICKET_RULE') 
 CREATE TABLE T_PSD_QUEUETICKET_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSELECTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDFLTTYPEID BIGINT DEFAULT 0 NOT NULL,
FDFLTCHANNEL VARCHAR(30) DEFAULT ' ' NOT NULL,
FDFLTBANKID BIGINT DEFAULT 0 NOT NULL,
FCOMMENT NVARCHAR(255),
FISEQUALS CHAR(1) DEFAULT '1' NOT NULL,
FISMARGIN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_QUEUETICKET_RULE_L') 
 CREATE TABLE T_PSD_QUEUETICKET_RULE_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_QUEUETICKET_RULE_ST') 
 CREATE TABLE T_PSD_QUEUETICKET_RULE_ST (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHE_PERIOD') 
 CREATE TABLE T_PSD_SCHE_PERIOD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FPERIODYEAR INT DEFAULT 0 NOT NULL,
FCYCLE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAUTOSCHETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCUSTOMDAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSKIPHOL CHAR(1) DEFAULT '0' NOT NULL,
FFIXEDDATE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FMERGETYPE CHAR(1) DEFAULT '0' NOT NULL,
FSCHETYPEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHE_PERIOD_L') 
 CREATE TABLE T_PSD_SCHE_PERIOD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULE_TYPE') 
 CREATE TABLE T_PSD_SCHEDULE_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULE_TYPE_L') 
 CREATE TABLE T_PSD_SCHEDULE_TYPE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDEALBILL') 
 CREATE TABLE T_PSD_SCHEDEALBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FBIZDATE DATETIME,
FCREATETIME DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULEPERIODID BIGINT DEFAULT 0 NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FSCHEDULESEQ BIGINT DEFAULT 0 NOT NULL,
FADJUSTCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDEALBILL_ENTRY') 
 CREATE TABLE T_PSD_SCHEDEALBILL_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAPPLYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSCHEDULETOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBALANCEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCOLLECTDIMENSION VARCHAR(100) DEFAULT ' ' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULERATIO VARCHAR(100) DEFAULT ' ' NOT NULL,
FCHECKTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDEALBILL_L') 
 CREATE TABLE T_PSD_SCHEDEALBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_L') 
 CREATE TABLE T_PSD_SCHEDULEBILL_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_LK') 
 CREATE TABLE T_PSD_SCHEDULEBILL_LK (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_TC') 
 CREATE TABLE T_PSD_SCHEDULEBILL_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_WB') 
 CREATE TABLE T_PSD_SCHEDULEBILL_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(19,6) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHE_LIMITBANK') 
 CREATE TABLE T_PSD_SCHE_LIMITBANK (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_DRAFT') 
 CREATE TABLE T_PSD_SCHEDULEBILL_DRAFT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL') 
 CREATE TABLE T_PSD_SCHEDULEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FBIZDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FAPPLYDATE DATETIME,
FSOURCEBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSOURCEBILLNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FPAYEETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYEEBANKNUM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYEEBANKID BIGINT DEFAULT 0 NOT NULL,
FEXPECTDATE DATETIME,
FAPPLYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAPPLYSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULETOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCHECKTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FBALANCEAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FCHECKAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTCHANNEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FACCTBANKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FPAYMENTNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPAYBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFUNDFLOWITEMID BIGINT DEFAULT 0 NOT NULL,
FPAYEENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FITEMPAYEETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FITEMPAYEEID BIGINT DEFAULT 0 NOT NULL,
FPAYEEACCTID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSRCSCHEDULENUM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBATCHNUM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPLYACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FNOPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FPAYEE BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSCHEDEALID BIGINT DEFAULT 0 NOT NULL,
FPAYEEBANKNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_SCHEDULEBILL_E') 
 CREATE TABLE T_PSD_SCHEDULEBILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FDRAFTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTPAYMETHOD NVARCHAR(30) DEFAULT ' ' NOT NULL,
FDRAFTPAYCHANNEL NVARCHAR(30) DEFAULT ' ' NOT NULL,
FWITHDRAWAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTWITHDRAWAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FWITHDRAWTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTPAYNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDRAFTSETTLETYPEID BIGINT DEFAULT 0 NOT NULL,
FCHECKDRAFTAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTPAYSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSCHEDULEEDITNUM NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOREBILLTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCOREBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCOREBILLENTRYSEQ NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCASHACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FSRCPAYTOTALAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDRAFTNOPAYAMT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FERPAYEEID BIGINT DEFAULT 0 NOT NULL,
FPRESCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FNEXTSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FPAYID BIGINT DEFAULT 0 NOT NULL,
FPAYENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\PSD_table.sql **/
