﻿/**Begin D:\softwaresetup\PDM_UPGRADE\PDM1\PSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_PAYMENT_RULE' AND KSQL_COL_NAME IN ('FDEFAULTACCOUNT')) 
 ALTER TABLE T_PSD_PAYMENT_RULE ADD (FDEFAULTACCOUNT BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_DEFAULTACCOUNT') 
 CREATE TABLE T_PSD_DEFAULTACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLERID BIGINT DEFAULT 0 NOT NULL,
FENABLEDATE DATETIME,
FDISABLEDATE DATETIME,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FACCOUNTBDTYPE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FEFFECTREASON NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_DEFAULTACCOUNT_L') 
 CREATE TABLE T_PSD_DEFAULTACCOUNT_L (
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMENT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_DEFAULTACCOUNT_ENT') 
 CREATE TABLE T_PSD_DEFAULTACCOUNT_ENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORG BIGINT DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FBANKTYPE BIGINT DEFAULT 0 NOT NULL,
FACCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDULEBILL_E' AND KSQL_COL_NAME IN ('FISEXISTCHANGEDATE')) 
 ALTER TABLE T_PSD_SCHEDULEBILL_E ADD (FISEXISTCHANGEDATE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDULEBILL_E' AND KSQL_COL_NAME IN ('FCHANGEDATERECORDNO')) 
 ALTER TABLE T_PSD_SCHEDULEBILL_E ADD (FCHANGEDATERECORDNO NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PSD_SCHEDULEBILL_E' AND KSQL_COL_NAME IN ('FCHANGEDATERECORDID')) 
 ALTER TABLE T_PSD_SCHEDULEBILL_E ADD (FCHANGEDATERECORDID NVARCHAR(500) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_CHANGEDATEBILL') 
 CREATE TABLE T_PSD_CHANGEDATEBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FAUDITDATE DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_CHANGEDATEBILL_DET') 
 CREATE TABLE T_PSD_CHANGEDATEBILL_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCHBILLID NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSCHBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOLDDATE DATETIME,
FNEWDATE DATETIME,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSCHEDULSTATUS NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PSD_CHANGEDATEBILL_DET_L') 
 CREATE TABLE T_PSD_CHANGEDATEBILL_DET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(500) DEFAULT ' ' NOT NULL
);



/**End D:\softwaresetup\PDM_UPGRADE\PDM1\PSD_table.sql **/
